Bug 1511742 - Failed to get python-rhsm packages version
Summary: Failed to get python-rhsm packages version
Status: CLOSED DUPLICATE of bug 1508591
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager   
(Show other bugs)
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 02:43 UTC by Wei Liu
Modified: 2017-11-16 15:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-16 15:27:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wei Liu 2017-11-10 02:43:35 UTC
Description of problem:
Failed to get python-rhsm packages version

Version-Release number of selected component (if applicable):
[root@cloud-qe-16-vm-01 rhsm]# rpm -qa | egrep "subscription|rhsm"
subscription-manager-gui-1.20.5-1.el7.x86_64
subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64
subscription-manager-rhsm-1.20.5-1.el7.x86_64
subscription-manager-1.20.5-1.el7.x86_64
subscription-manager-initial-setup-addon-1.20.5-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.Install build RHEL-7.5-20171107.1

2.Try to get subscription-manager version info
[root@cloud-qe-16-vm-01 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.20.5-1.el7
python-rhsm: 0.0.0-1     <----- the python-rhsm packages version

3.Check the python-rhsm packages info but no related packages
[root@cloud-qe-16-vm-01 rhsm]# rpm -qa | grep rhsm
subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64
subscription-manager-rhsm-1.20.5-1.el7.x86_64

Actual results:
As step 3.

Expected results:
Show the python-rhsm packages version correctly.And I do the same operation on RHEL-7.4-20170711.0,the info is as below:

[root@dhcp-129-165 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.19.21-1.el7
python-rhsm: 1.19.9-1.el7  <----- the python-rhsm packages version

[root@dhcp-129-165 ~]# rpm -qa | grep rhsm
python-rhsm-certificates-1.19.9-1.el7.x86_64
python-rhsm-1.19.9-1.el7.x86_64  <----- the python-rhsm packages version


Additional info:

Comment 2 Chris Snyder 2017-11-16 15:27:41 UTC

*** This bug has been marked as a duplicate of bug 1508591 ***


Note You need to log in before you can comment on or make changes to this bug.